Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.unifically.com/llms.txt

Use this file to discover all available pages before exploring further.

Train a custom audio model from your own tracks. This is an async operation — returns a task_id, poll for the result.

Model

suno-ai/custom-model

Parameters

ParameterTypeRequiredDefaultDescription
audio_urlslist[string]Yes6–24 audio URLs to train on
namestringYesModel name

Example

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "suno-ai/custom-model",
    "input": {
      "audio_urls": [
        "https://example.com/track1.mp3",
        "https://example.com/track2.mp3",
        "https://example.com/track3.mp3",
        "https://example.com/track4.mp3",
        "https://example.com/track5.mp3",
        "https://example.com/track6.mp3"
      ],
      "name": "audio model v1"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}

Status Response (Completed)

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "...",
    "status": "completed",
    "model_id": "b7bc275b-...",
    "name": "audio model v1",
    "mv": "chirp-custom:b7bc275b-..."
  }
}
Use the mv value (e.g. chirp-custom:b7bc275b-...) in music generation requests as the model version.